%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	GNOME user file sharing
Name:		gnome-user-share
Version:	3.34.0
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Servers
URL:		http://www.gnome.org
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	apache
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(glib-2.0) >= 2.28
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(libnautilus-extension)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(systemd)

Recommends:	apache
# no more available on mageia
#Recommends:	apache-mod_dnssd >= 0.6

%description
This program enables user to share directories through Webdav or Bluetooth
(over ObexFTP).

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc README NEWS
%{_libexecdir}/gnome-user-share-*
%{_libdir}/nautilus/extensions-3.0/libnautilus-share-extension.so
%{_datadir}/gnome-user-share
%{_datadir}/GConf/gsettings/gnome-user-share.convert
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.file-sharing.gschema.xml
%{_datadir}/applications/%{name}-webdav.desktop
%{_userunitdir}/gnome-user-share-webdav.service




%changelog
* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-3.mga8
+ Revision: 1530921
- Mageia 8 Mass Rebuild

* Fri Sep 06 2019 tv <tv> 3.34.0-2.mga8
+ Revision: 1437794
- fix filelist
+ ovitters <ovitters>
- new version 3.34.0

* Thu Aug 08 2019 tv <tv> 3.33.1-1.mga8
+ Revision: 1428212
- switch to meson
- new release

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0.1-1.mga7
+ Revision: 1374015
- new version 3.32.0.1
- dropped merged patch gnome-user-share-3.32.0-fix-desktop-file.patch

* Fri Mar 08 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1372749
- new version 3.32.0
- add patch to fix invalid desktop file
- remove Bluetooth dependencies, gnome-user-share only shares via WebDAV,
  obex sharing is handled through the Bluetooth panel in GNOME

* Sun Sep 23 2018 umeabot <umeabot> 3.28.0-2.mga7
+ Revision: 1297985
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1217130
- new version 3.28.0

* Tue Feb 13 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1200840
- new version 3.27.90

* Thu Sep 28 2017 tv <tv> 3.18.3-1.mga7
+ Revision: 1160805
- use std macros

* Tue Sep 20 2016 ovitters <ovitters> 3.18.3-1.mga6
+ Revision: 1054621
- new version 3.18.3

* Sun Sep 18 2016 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 1053810
- new version 3.18.2

* Mon Mar 21 2016 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 993527
- new version 3.18.1

* Mon Feb 15 2016 umeabot <umeabot> 3.18.0-2.mga6
+ Revision: 960479
- Mageia 6 Mass Rebuild

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883281
- new release
+ ovitters <ovitters>
- new version 3.17.92

* Tue Aug 18 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865688
- update file list (ObexPush moved to gnome-bluetooth/g-c-c)
- new version 3.17.90

* Mon Dec 22 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 804792
- new version 3.14.2

* Tue Nov 25 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 799190
- new version 3.14.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 748361
- Second Mageia 5 Mass Rebuild

* Mon Sep 22 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 719221
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.91-2.mga5
+ Revision: 679787
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu Sep 11 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 674694
- new version 3.13.91

* Wed Jun 25 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 639659
- new version 3.13.2

* Tue Jun 24 2014 ovitters <ovitters> 3.13.1-1.mga5
+ Revision: 639491
- new version 3.13.1

* Tue Apr 01 2014 dams <dams> 3.10.2-2.mga5
+ Revision: 611143
- rebuild for new 'gnome-bluetooth'

* Tue Mar 18 2014 ovitters <ovitters> 3.10.2-1.mga5
+ Revision: 604853
- new version 3.10.2

* Tue Nov 12 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 550848
- new version 3.10.1

* Mon Oct 21 2013 umeabot <umeabot> 3.10.0-3.mga4
+ Revision: 540593
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 luigiwalser <luigiwalser> 3.10.0-2.mga4
+ Revision: 494048
- change bluetooth requires for bluez5 (from fedora)

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 485283
- new version 3.10.0

* Wed Sep 04 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 475160
- new version 3.9.91

* Tue Jul 30 2013 dams <dams> 3.8.3-2.mga4
+ Revision: 460805
- rebuild for new 'gnome-bluetooth'

* Tue Jul 16 2013 fwang <fwang> 3.8.3-1.mga4
+ Revision: 454985
- update file list
- update file list
+ ovitters <ovitters>
- new version 3.8.3

* Sat May 25 2013 ovitters <ovitters> 3.8.0-1.mga4
+ Revision: 427199
- update file list (configuration moved to gnome-control-center)
- new version 3.8.0

* Sat Jan 12 2013 umeabot <umeabot> 3.0.4-2.mga3
+ Revision: 352252
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 25 2012 ovitters <ovitters> 3.0.4-1.mga3
+ Revision: 297765
- new version 3.0.4

* Tue Sep 25 2012 ovitters <ovitters> 3.0.3-1.mga3
+ Revision: 297752
- update file list
- remove gconf br
- br libxml2-utils
- br itstool
- new version 3.0.3
- use mkrel
- clean spec
- Import from Mandriva


* Thu May 03 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.0.2-1
+ Revision: 795225
- new version 3.0.2
- cleaned up spec

* Sun May 22 2011 Funda Wang <fwang@mandriva.org> 2.30.1-3
+ Revision: 677113
- rebuild to add gconf2 as req

* Wed Apr 20 2011 Funda Wang <fwang@mandriva.org> 2.30.1-2
+ Revision: 656114
- build with libnotify 0.7

  + John Balcaen <mikala@mandriva.org>
    - Fix BR for libcanberra-gtk-devel

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2011.0
+ Revision: 581638
- update to new version 2.30.1

* Thu Aug 05 2010 Funda Wang <fwang@mandriva.org> 2.30.0-2mdv2011.0
+ Revision: 566081
- rebuild for new gnome-bluetooth

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528906
- update to new version 2.30.0

* Mon Mar 15 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 520294
- update to new version 2.29.92

* Wed Feb 24 2010 Götz Waschk <waschk@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 510582
- new version
- add nautilus extension

* Tue Feb 02 2010 Götz Waschk <waschk@mandriva.org> 2.28.2-2mdv2010.1
+ Revision: 499787
- fix apache configuration

* Tue Dec 22 2009 Götz Waschk <waschk@mandriva.org> 2.28.2-1mdv2010.1
+ Revision: 481344
- update build deps
- update to new version 2.28.2

* Fri Nov 06 2009 Götz Waschk <waschk@mandriva.org> 2.28.1-1mdv2010.1
+ Revision: 461076
- update build deps
- update to new version 2.28.1

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446553
- update to new version 2.28.0

* Wed Sep 02 2009 Götz Waschk <waschk@mandriva.org> 2.27.0-1mdv2010.0
+ Revision: 425083
- new version
- update deps

* Tue Mar 31 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-2mdv2009.1
+ Revision: 363010
- fix omf file list

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 355734
- update to new version 2.26.0

* Tue Mar 03 2009 Götz Waschk <waschk@mandriva.org> 2.25.92-1mdv2009.1
+ Revision: 347808
- update to new version 2.25.92

* Tue Feb 03 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-1mdv2009.1
+ Revision: 337000
- update to new version 2.25.91
- update deps
- remove old configure option

* Tue Feb 03 2009 Götz Waschk <waschk@mandriva.org> 2.25.90-1mdv2009.1
+ Revision: 336837
- update to new version 2.25.90

* Wed Jan 28 2009 Götz Waschk <waschk@mandriva.org> 2.25.5-1mdv2009.1
+ Revision: 334735
- new version
- update file list
- update deps

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 0.41-1mdv2009.1
+ Revision: 315706
- update to new version 0.41

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 0.40-1mdv2009.1
+ Revision: 291925
- new version
- update build deps

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.31-2mdv2009.0
+ Revision: 266920
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 0.31-1mdv2009.0
+ Revision: 192437
- new version
- update file list

* Thu Mar 06 2008 Frederic Crozat <fcrozat@mandriva.com> 0.22-2mdv2008.1
+ Revision: 180965
- Improve description
- Replace hard requirement on apache with suggests
- Add obex-data-server as hard dependency

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 0.22-1mdv2008.1
+ Revision: 174559
- new version
- add icons

* Sat Jan 26 2008 Götz Waschk <waschk@mandriva.org> 0.21-1mdv2008.1
+ Revision: 158372
- new version

* Tue Jan 22 2008 Götz Waschk <waschk@mandriva.org> 0.20-1mdv2008.1
+ Revision: 156328
- fix buildrequires
- new version
- update file list

* Fri Dec 21 2007 Olivier Blin <blino@mandriva.org> 0.11-1mdv2008.1
+ Revision: 136450
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Mar 06 2007 Götz Waschk <waschk@mandriva.org> 0.11-1mdv2007.0
+ Revision: 133579
- Import gnome-user-share

* Tue Mar 06 2007 Götz Waschk <waschk@mandriva.org> 0.11-1mdv2007.1
- use more macros
- fix build
- New version 0.11

* Sun Aug 06 2006 Götz Waschk <waschk@mandriva.org> 0.10-1mdv2007.0
- rebuild for new dbus

* Fri Jul 21 2006 Götz Waschk <waschk@mandriva.org> 0.10-2mdk
- Rebuild

* Thu Apr 20 2006 Götz Waschk <waschk@mandriva.org> 0.10-1mdk
- fix preun script
- fix buildrequires
- drop patch
- New release 0.10

* Thu Nov 24 2005 Götz Waschk <waschk@mandriva.org> 0.9-1mdk
- New release 0.9

* Wed Nov 16 2005 Götz Waschk <waschk@mandriva.org> 0.8-1mdk
- drop patch 1
- New release 0.8

* Wed Nov 09 2005 Götz Waschk <waschk@mandriva.org> 0.7-1mdk
- update file list

* Wed Nov 09 2005 Götz Waschk <waschk@mandriva.org> 0.7-1mdk
- New release 0.7

* Wed Nov 09 2005 Götz Waschk <waschk@mandriva.org> 0.6-1mdk
- update patch 1
- fix buildrequires
- New release 0.6

* Tue Sep 06 2005 Götz Waschk <waschk@mandriva.org> 0.5-4mdk
- fix deps

* Mon Aug 01 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.5-3mdk
- Fix BuildRequires

* Tue Feb 22 2005 Götz Waschk <waschk@linux-mandrake.com> 0.5-2mdk
- fix buildrequires

* Fri Feb 04 2005 Götz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- update file list
- New release 0.5

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-2mdk 
- Rebuild with latest howl

* Fri Dec 03 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.4-1mdk
- New release 0.4

* Fri Nov 26 2004 Götz Waschk <waschk@linux-mandrake.com> 0.3-2mdk
- fix buildrequires

* Fri Nov 26 2004 Götz Waschk <waschk@linux-mandrake.com> 0.3-1mdk
- add missing file
- small build patch
- update patch 0
- New release 0.3

* Sat Sep 11 2004 Götz Waschk <waschk@linux-mandrake.com> 0.2-2mdk
- fix buildrequires

* Fri Sep 10 2004 Götz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- initial package

* Fri Sep 10 2004 Alexander Larsson <alexl@redhat.com> - 0.2-1
- New version

* Thu Sep 09 2004 Alexander Larsson <alexl@redhat.com> - 0.1-1
- Initial Build

